PUT TimeSaver/PutEmployeeScanOut
Request Information
URI Parameters
None.
Body Parameters
EmployeeScanOut| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| LoggedInUserID | globally unique identifier |
Required |
|
| EmployeeID | globally unique identifier |
Required |
|
| ClockOutTime | date |
Required |
|
| IsProcessed | boolean |
Required |
|
| ProcessedDate | date |
None. |
|
| ClockOutTypeID | ClockOutType |
None. |
|
| ClockOutReason | string |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| FacialVerifed | boolean |
Required |
|
| FacialMatch | boolean |
Required |
|
| FacialConfidence | decimal number |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| IsActive | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "730a1cc7-2463-4654-9ee1-0d0754ed9a72",
"loggedInUserID": "e5e709e8-a230-448d-9ff1-a8bca5601397",
"employeeID": "03b69898-89b7-453e-9923-32522d7a499f",
"clockOutTime": "2026-06-12T23:00:05.7003831+00:00",
"isProcessed": true,
"processedDate": "2026-06-12T23:00:05.7003831+00:00",
"clockOutTypeID": 1,
"clockOutReason": "sample string 6",
"latitude": 1.1,
"longitude": 1.1,
"facialVerifed": true,
"facialMatch": true,
"facialConfidence": 9.0,
"photoID": "1cf2d7d1-edc9-4240-a593-c82b1fc9e00e",
"isActive": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.